Opened 11 months ago

Closed 11 months ago

Last modified 11 months ago

#29319 closed defect (fixed)

pari spkg-configure.m4 should check for gphelp

Reported by: mkoeppe Owned by:
Priority: major Milestone: sage-9.1
Component: build: configure Keywords:
Cc: dimpase, embray, fbissey, isuruf, gh-timokau, arojas Merged in:
Authors: Matthias Koeppe Reviewers: Dima Pasechnik
Report Upstream: N/A Work issues:
Branch: 64a028d (Commits) Commit:
Dependencies: Stopgaps:

Description

The gphelp executable is needed by cypari2 at installation time.

It is provided by the separate package pari-doc on Debian.

This causes build errors on ubuntu-eoan-standard (https://github.com/mkoeppe/sage/runs/502310821?check_suite_focus=true)

Change History (7)

comment:1 Changed 11 months ago by mkoeppe

  • Branch set to u/mkoeppe/pari_spkg_configure_m4_should_check_for_gphelp

comment:2 Changed 11 months ago by git

  • Commit set to 64a028ddc57333d69eacc85e403ed859a92239ec

Branch pushed to git repo; I updated commit sha1. New commits:

64a028dbuild/pkgs/pari/distros/debian.txt: Add pari-doc

comment:3 Changed 11 months ago by mkoeppe

  • Authors set to Matthias Koeppe
  • Status changed from new to needs_review

comment:4 Changed 11 months ago by dimpase

  • Reviewers set to Dima Pasechnik
  • Status changed from needs_review to positive_review

lgtm

comment:5 Changed 11 months ago by mkoeppe

Thanks!

comment:6 Changed 11 months ago by vbraun

  • Branch changed from u/mkoeppe/pari_spkg_configure_m4_should_check_for_gphelp to 64a028ddc57333d69eacc85e403ed859a92239ec
  • Resolution set to fixed
  • Status changed from positive_review to closed

comment:7 Changed 11 months ago by mkoeppe

  • Commit 64a028ddc57333d69eacc85e403ed859a92239ec deleted

Follow-up: #29342

Note: See TracTickets for help on using tickets.